// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		5817666F2E54497800C1B687 /* QRCode in Frameworks */ = {isa = PBXBuildFile; productRef = 5817666E2E54497800C1B687 /* QRCode */; };
		581766772E544AFF00C1B687 /* AVFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 581766752E544AEC00C1B687 /* AVFoundation.framework */; };
		5817667C2E544C0000C1B687 /* FacebookCore in Frameworks */ = {isa = PBXBuildFile; productRef = 5817667B2E544C0000C1B687 /* FacebookCore */; };
		58F2D0442E66E83100F7F8CD /* VasKit in Frameworks */ = {isa = PBXBuildFile; productRef = 58F2D0432E66E83100F7F8CD /* VasKit */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		5817663D2E54241300C1B687 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 581766272E54241200C1B687 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5817662E2E54241200C1B687;
			remoteInfo = MyQrCode;
		};
		581766472E54241300C1B687 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 581766272E54241200C1B687 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5817662E2E54241200C1B687;
			remoteInfo = MyQrCode;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		5817662F2E54241200C1B687 /* MyQrCode.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MyQrCode.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5817663C2E54241300C1B687 /* MyQrCodeTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MyQrCodeTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		581766462E54241300C1B687 /* MyQrCodeUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MyQrCodeUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		581766752E544AEC00C1B687 /* AVFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = AVFoundation.framework; path = System/Library/Frameworks/AVFoundation.framework; sourceTree = SDKROOT; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedBuildFileExceptionSet section */
		581766792E544B6E00C1B687 /* Exceptions for "MyQrCode" folder in "MyQrCode" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = 5817662E2E54241200C1B687 /* MyQrCode */;
		};
/* End PBXFileSystemSynchronizedBuildFileExceptionSet section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		581766312E54241200C1B687 /* MyQrCode */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				581766792E544B6E00C1B687 /* Exceptions for "MyQrCode" folder in "MyQrCode" target */,
			);
			path = MyQrCode;
			sourceTree = "<group>";
		};
		5817663F2E54241300C1B687 /* MyQrCodeTests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = MyQrCodeTests;
			sourceTree = "<group>";
		};
		581766492E54241300C1B687 /* MyQrCodeUITests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = MyQrCodeUITests;
			sourceTree = "<group>";
		};
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		5817662C2E54241200C1B687 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				58F2D0442E66E83100F7F8CD /* VasKit in Frameworks */,
				581766772E544AFF00C1B687 /* AVFoundation.framework in Frameworks */,
				5817666F2E54497800C1B687 /* QRCode in Frameworks */,
				5817667C2E544C0000C1B687 /* FacebookCore in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		581766392E54241300C1B687 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		581766432E54241300C1B687 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		581766262E54241200C1B687 = {
			isa = PBXGroup;
			children = (
				581766312E54241200C1B687 /* MyQrCode */,
				5817663F2E54241300C1B687 /* MyQrCodeTests */,
				581766492E54241300C1B687 /* MyQrCodeUITests */,
				581766742E544AEC00C1B687 /* Frameworks */,
				581766302E54241200C1B687 /* Products */,
			);
			sourceTree = "<group>";
		};
		581766302E54241200C1B687 /* Products */ = {
			isa = PBXGroup;
			children = (
				5817662F2E54241200C1B687 /* MyQrCode.app */,
				5817663C2E54241300C1B687 /* MyQrCodeTests.xctest */,
				581766462E54241300C1B687 /* MyQrCodeUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		581766742E544AEC00C1B687 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				581766752E544AEC00C1B687 /* AVFoundation.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5817662E2E54241200C1B687 /* MyQrCode */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 581766502E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCode" */;
			buildPhases = (
				5817662B2E54241200C1B687 /* Sources */,
				5817662C2E54241200C1B687 /* Frameworks */,
				5817662D2E54241200C1B687 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				581766312E54241200C1B687 /* MyQrCode */,
			);
			name = MyQrCode;
			packageProductDependencies = (
				5817666E2E54497800C1B687 /* QRCode */,
				5817667B2E544C0000C1B687 /* FacebookCore */,
				58F2D0432E66E83100F7F8CD /* VasKit */,
			);
			productName = MyQrCode;
			productReference = 5817662F2E54241200C1B687 /* MyQrCode.app */;
			productType = "com.apple.product-type.application";
		};
		5817663B2E54241300C1B687 /* MyQrCodeTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 581766532E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCodeTests" */;
			buildPhases = (
				581766382E54241300C1B687 /* Sources */,
				581766392E54241300C1B687 /* Frameworks */,
				5817663A2E54241300C1B687 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				5817663E2E54241300C1B687 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				5817663F2E54241300C1B687 /* MyQrCodeTests */,
			);
			name = MyQrCodeTests;
			packageProductDependencies = (
			);
			productName = MyQrCodeTests;
			productReference = 5817663C2E54241300C1B687 /* MyQrCodeTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		581766452E54241300C1B687 /* MyQrCodeUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 581766562E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCodeUITests" */;
			buildPhases = (
				581766422E54241300C1B687 /* Sources */,
				581766432E54241300C1B687 /* Frameworks */,
				581766442E54241300C1B687 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				581766482E54241300C1B687 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				581766492E54241300C1B687 /* MyQrCodeUITests */,
			);
			name = MyQrCodeUITests;
			packageProductDependencies = (
			);
			productName = MyQrCodeUITests;
			productReference = 581766462E54241300C1B687 /* MyQrCodeUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		581766272E54241200C1B687 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 2600;
				LastUpgradeCheck = 2600;
				TargetAttributes = {
					5817662E2E54241200C1B687 = {
						CreatedOnToolsVersion = 26.0;
					};
					5817663B2E54241300C1B687 = {
						CreatedOnToolsVersion = 26.0;
						TestTargetID = 5817662E2E54241200C1B687;
					};
					581766452E54241300C1B687 = {
						CreatedOnToolsVersion = 26.0;
						TestTargetID = 5817662E2E54241200C1B687;
					};
				};
			};
			buildConfigurationList = 5817662A2E54241200C1B687 /* Build configuration list for PBXProject "MyQrCode" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				"zh-Hans",
				th,
				ja,
				ko,
				fr,
				de,
				es,
				it,
				pt,
				ru,
			);
			mainGroup = 581766262E54241200C1B687;
			minimizedProjectReferenceProxies = 1;
			packageReferences = (
				5817666D2E54497800C1B687 /* XCRemoteSwiftPackageReference "qrcode" */,
				5817667A2E544C0000C1B687 /* XCRemoteSwiftPackageReference "facebook-ios-sdk" */,
				58F2D0422E66E83100F7F8CD /* XCLocalSwiftPackageReference "../VasKit" */,
			);
			preferredProjectObjectVersion = 77;
			productRefGroup = 581766302E54241200C1B687 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5817662E2E54241200C1B687 /* MyQrCode */,
				5817663B2E54241300C1B687 /* MyQrCodeTests */,
				581766452E54241300C1B687 /* MyQrCodeUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5817662D2E54241200C1B687 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5817663A2E54241300C1B687 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		581766442E54241300C1B687 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5817662B2E54241200C1B687 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		581766382E54241300C1B687 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		581766422E54241300C1B687 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		5817663E2E54241300C1B687 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5817662E2E54241200C1B687 /* MyQrCode */;
			targetProxy = 5817663D2E54241300C1B687 /* PBXContainerItemProxy */;
		};
		581766482E54241300C1B687 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5817662E2E54241200C1B687 /* MyQrCode */;
			targetProxy = 581766472E54241300C1B687 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		5817664E2E54241300C1B687 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = 6AS7587HX4;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5817664F2E54241300C1B687 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = 6AS7587HX4;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		581766512E54241300C1B687 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = "";
				ASSETCATALOG_COMPILER_INCLUDE_ALL_APPICON_ASSETS = YES;
				CODE_SIGN_ENTITLEMENTS = MyQrCode/MyQrCode.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 6;
				DEVELOPMENT_TEAM = CJ94BMBWCW;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = MyQrCode/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "QR Code & Barcode Plus";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_NSCalendarsUsageDescription = "MyQrCode needs access to calendar to add events";
				INFOPLIST_KEY_NSCameraUsageDescription = "Need to access the camera to scan QR codes and barcodes.";
				INFOPLIST_KEY_NSContactsUsageDescription = "MyQrCode needs access to contacts to add contact information";
				INFOPLIST_KEY_NSFileProviderDomainUsageDescription = "$(PRODUCT_NAME) needs access to file provider domain to manage QR code files and images";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "Need to access the photo gallery to select a custom logo image.";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "Need to access the photo gallery to select a custom logo image.";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.2;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		581766522E54241300C1B687 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = "";
				ASSETCATALOG_COMPILER_INCLUDE_ALL_APPICON_ASSETS = YES;
				CODE_SIGN_ENTITLEMENTS = MyQrCode/MyQrCode.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 6;
				DEVELOPMENT_TEAM = CJ94BMBWCW;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = MyQrCode/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "QR Code & Barcode Plus";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_NSCalendarsUsageDescription = "MyQrCode needs access to calendar to add events";
				INFOPLIST_KEY_NSCameraUsageDescription = "Need to access the camera to scan QR codes and barcodes.";
				INFOPLIST_KEY_NSContactsUsageDescription = "MyQrCode needs access to contacts to add contact information";
				INFOPLIST_KEY_NSFileProviderDomainUsageDescription = "$(PRODUCT_NAME) needs access to file provider domain to manage QR code files and images";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "Need to access the photo gallery to select a custom logo image.";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "Need to access the photo gallery to select a custom logo image.";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.2;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		581766542E54241300C1B687 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 6AS7587HX4;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app.tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/MyQrCode.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/MyQrCode";
			};
			name = Debug;
		};
		581766552E54241300C1B687 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 6AS7587HX4;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app.tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/MyQrCode.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/MyQrCode";
			};
			name = Release;
		};
		581766572E54241300C1B687 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 6AS7587HX4;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app.uitests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = MyQrCode;
			};
			name = Debug;
		};
		581766582E54241300C1B687 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 6AS7587HX4;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.my.qrcode.scanner.app.uitests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = MyQrCode;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5817662A2E54241200C1B687 /* Build configuration list for PBXProject "MyQrCode" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5817664E2E54241300C1B687 /* Debug */,
				5817664F2E54241300C1B687 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		581766502E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCode" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				581766512E54241300C1B687 /* Debug */,
				581766522E54241300C1B687 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		581766532E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCodeTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				581766542E54241300C1B687 /* Debug */,
				581766552E54241300C1B687 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		581766562E54241300C1B687 /* Build configuration list for PBXNativeTarget "MyQrCodeUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				581766572E54241300C1B687 /* Debug */,
				581766582E54241300C1B687 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCLocalSwiftPackageReference section */
		58F2D0422E66E83100F7F8CD /* XCLocalSwiftPackageReference "../VasKit" */ = {
			isa = XCLocalSwiftPackageReference;
			relativePath = ../VasKit;
		};
/* End XCLocalSwiftPackageReference section */

/* Begin XCRemoteSwiftPackageReference section */
		5817666D2E54497800C1B687 /* XCRemoteSwiftPackageReference "qrcode" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/dagronf/qrcode.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 27.11.0;
			};
		};
		5817667A2E544C0000C1B687 /* XCRemoteSwiftPackageReference "facebook-ios-sdk" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/facebook/facebook-ios-sdk";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 18.0.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		5817666E2E54497800C1B687 /* QRCode */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5817666D2E54497800C1B687 /* XCRemoteSwiftPackageReference "qrcode" */;
			productName = QRCode;
		};
		5817667B2E544C0000C1B687 /* FacebookCore */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5817667A2E544C0000C1B687 /* XCRemoteSwiftPackageReference "facebook-ios-sdk" */;
			productName = FacebookCore;
		};
		58F2D0432E66E83100F7F8CD /* VasKit */ = {
			isa = XCSwiftPackageProductDependency;
			productName = VasKit;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 581766272E54241200C1B687 /* Project object */;
}
